# Before `make install' is performed this script should be runnable with
# `make test'. After `make install' it should work as `perl test.pl'

######################### We start with some black magic to print on failure.

# Change 1..1 below to 1..last_test_to_print .
# (It may become useful if the test is moved to ./t subdirectory.)

BEGIN { $| = 1; print "1..1\n"; }
END {print "not ok 1\n" unless $loaded;}
use GII;
$loaded = 1;
print "ok 1\n";

######################### End of black magic.

# Insert your test code below (better if it prints "ok 13"
# (correspondingly "not ok 13") depending on the success of chunk 13
# of the test code):

print "2..2\n";
print "ConfDir is: " . GII::ConfDir . "\n";

print "3..3\n";
$inp = new GII;
print "not " unless ref($inp) and $inp->isa("GII");
print "ok 3\n";
die "Must succeed test 3 to continue tests.  Try your GGI_INPUT env var.\n"
    unless ref($inp) and $inp->isa("GII");

print "4..4\nYou have 30 seconds to generate an event.\n";
$t = 30000; $fail = 1;
while($t > 0) {
    $inp->poll($t) and ($fail = $t = 0), print "Event received.  Good.\n";
} 
die "Must succeed test 4 to continue tests.\n" if $fail;

print "5..5\nYou must generate 10 events now to pass this test.\n";
$count = 0;
while($count < 10) {
    $ev = $inp->read;
    $ref = ref($ev);
    $ref =~ s/=.*//;
    $count++, print "Got a $ref object.  Good.\n" if ref($ev);
}
print "not " unless $count > 9;
print "OK 5\n";

# currently the queued() method hangs, and burns tons of CPU !?!?!??
#print "6..6\n";
#$numqueued = $inp->queued;
#$ev = new GII::Event;
#$imp->send($ev);
#print "not " unless $inp->queued > $numqueued;
#print "OK 6\n";



